LogsGet one log record

Get one log record

One record with its full body.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/logs/records/example_string?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "uuid": "example_string",
    "timestamp": "2024-12-25T10:00:00Z",
    "observed_at": "2024-12-25T10:00:00Z",
    "received_at": "2024-12-25T10:00:00Z",
    "level": "trace",
    "severity_number": 42,
    "severity_text": "example_string",
    "service": "checkout",
    "scope_name": "John Doe",
    "scope_version": "example_string",
    "event_name": "John Doe",
    "body": "example_string",
    "body_bytes": 42,
    "body_truncated": true,
    "attributes": {},
    "resource_attributes": {},
    "trace_id": "example_string",
    "span_id": "example_string",
    "distinct_id": "example_string",
    "session_id": "example_string",
    "pattern_id": "example_string"
  }
}
GET
/client/v1/logs/records/{uuid}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.

Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_) or location secret key (sk_). Scoped keys (mcp_) are accepted too and need logs:read. See Using an mcp_ key over HTTP.

Path Parameters

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys (or send the X-Location-Id header); ignored for sk_.

Responses

successboolean
dataobject